astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- Astronomical Coordinate Systems (`astropy.coordinates`) »
- AltAz

# AltAz

class `astropy.coordinates.builtin_systems.``AltAz`(*args, **kwargs)

  Bases: `astropy.coordinates.coordsystems.SphericalCoordinatesBase`

  A coordinate in the altitude/azimuth or “horizontal” system.

  Parameters:

  coordstr : str

  > A single string with the coordinates. Cannot be used with `el` and `az` nor `x`/`y`/`z`.

  az : `Angle`, float, int, str

  > This must be given with `el`.

  el : `Angle`, float, int, str

  > This must be given with `az`.

  distance : `Distance`, optional

  > This may be given with `el` and `az` or `coordstr` and not `x`, `y`, or `z`. If not given, `None` (unit sphere) will be assumed.

  x : number

  > The first cartesian coordinate. Must be given with `y` and `z` and not with `az` or `el` nor `coordstr`.

  y : number

  > The second cartesian coordinate. Must be given with `x` and `z` and not with `az` or `el` nor `coordstr`.

  z : number

  > The third cartesian coordinate. Must be given with `x` and `y` and not with `az` or `el` nor `coordstr`.

  cartpoint : `CartesianPoints`

  > A cartesian point with the coordinates. Cannot be used with any other arguments.

  unit :

  > The `unit` parameter’s interpretation depends on what other parameters are given:

  > - If `az` and `el` or `coordstr` are given:

  >     `unit` must be a length-2 sequence specifying the units of `az` and `el`, respectively. They can be either `UnitBase` objects or strings that will be converted using `Unit`. They can also be None to attempt to automatically interpret the units (see `Angle` for details.) If `unit` is just `None`, this will be interpreted the same as `(None, None)`.

  > - If `x`, `y`, and `z` are given:

  >     `unit` must be a single unit with dimensions of length

  equinox : `Time`, optional

  > The equinox for these coordinates. Defaults to J2000.

  obstime : `Time` or None

  > The time of observation for this coordinate. If None, it will be taken to be the same as the `equinox`.

  Alternatively, a single argument that is any kind of spherical coordinate :

  can be provided, and will be converted to `AltAz` and used :

  as this coordinate. :

  Attributes Summary

  `alt` |
  `az` |
  `equinox` |
  `obstime` |

  Attributes Documentation

  `alt`
  `az`
  `equinox`
  `obstime`